Debian Bug report logs - #700217
ITP: vim-youcompleteme -- fast, as-you-type, fuzzy-search code completion engine for vim

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sebastian Ramacher <sramacher@debian.org>

Date: Sun, 10 Feb 2013 00:00:03 UTC

Owned by: Onur Aslan <onur@onur.im>

Severity: wishlist

Fixed in version vim-youcompleteme/0+20131009+gitcbb43ba-1

Done: Onur Aslan <onur@onur.im>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sramacher@debian.org, wnpp@debian.org:
Bug#700217; Package wnpp. (Sun, 10 Feb 2013 00:00:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: vim-youcompleteme -- fast, as-you-type, fuzzy-search code completion engine for vim
Date: Sun, 10 Feb 2013 00:51:53 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

* Package name    : vim-youcompleteme
  Version         : n/a
  Upstream Author : Val Markovic
* URL             : http://valloric.github.com/YouCompleteMe/
* License         : GPL3+
  Programming Lang: Python, C++
  Description     : fast, as-you-type, fuzzy-search code completion engine for vim

Quoting from the site:

"YouCompleteMe is a fast, as-you-type, fuzzy-search code completion
engine for Vim. It has two completion engines: an identifier-based
engine that works with every programming language and a semantic,
Clang-based engine that provides semantic code completion for
C/C++/Objective-C/Objective-C++."

The author also claims that "YCM obsoletes the following Vim plugins
because it has all of their features plus extra: clang_complete,
AutoComplPop, Supertab, neocomplcache".

Regards
-- 
Sebastian Ramacher
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: vim-youcompleteme -- fast, as-you-type, fuzzy-search code completion engine for vim' from 'RFP: vim-youcompleteme -- fast, as-you-type, fuzzy-search code completion engine for vim' Request was from Onur Aslan <onur@onur.im> to control@bugs.debian.org. (Wed, 31 Jul 2013 13:27:03 GMT) Full text and rfc822 format available.

Owner recorded as Onur Aslan <onur@onur.im>. Request was from Onur Aslan <onur@onur.im> to control@bugs.debian.org. (Wed, 31 Jul 2013 13:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Onur Aslan <onur@onur.im>:
Bug#700217; Package wnpp. (Tue, 05 Nov 2013 13:24:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <sramacher@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Onur Aslan <onur@onur.im>. (Tue, 05 Nov 2013 13:24:24 GMT) Full text and rfc822 format available.

Message #12 received at 700217@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: Onur Aslan <onur@onur.im>, 700217@bugs.debian.org
Subject: Re: ITP: vim-youcompleteme -- fast, as-you-type, fuzzy-search code completion engine for vim
Date: Tue, 5 Nov 2013 14:22:52 +0100
[Message part 1 (text/plain, inline)]
Hi Onur,

On 2013-07-31 16:24:35, Onur Aslan wrote:
> retitle 700217 ITP: vim-youcompleteme -- fast, as-you-type, fuzzy-search code completion engine for vim
> owner 700217 !
> thanks
> 
> I've already made this package. It is available here:
> http://anonscm.debian.org/gitweb/?p=users/onur-guest/vim-youcompleteme.git;a=summary
> 
> Only problem is it's using RPATH for libclang1-3.3 and there is no other
> way to build this package. libclang1-3.3 is a private library and linking
> with RPATH causing a serious lintian error. I will try to contact with llvm
> maintainers.

some time has passed since you've started working on this ITP. What's
the status? Let me know if you need any help and I'd be happy to
revier/sponsor/...

Cheers
-- 
Sebastian Ramacher
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#700217; Package wnpp. (Thu, 07 Nov 2013 11:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Onur Aslan <onur@onur.im>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 07 Nov 2013 11:36:04 GMT) Full text and rfc822 format available.

Message #17 received at 700217@bugs.debian.org (full text, mbox):

From: Onur Aslan <onur@onur.im>
To: Sebastian Ramacher <sramacher@debian.org>
Cc: 700217@bugs.debian.org
Subject: Re: Bug#700217: ITP: vim-youcompleteme -- fast, as-you-type, fuzzy-search code completion engine for vim
Date: Thu, 7 Nov 2013 13:32:51 +0200
[Message part 1 (text/plain, inline)]
I recently checked and looks like llvm maintainers finally providing a
symbolic link to libclang in standard library locations. Thanks to this
change RPATH issue is gone for this package.

I updated package and uploaded into mentors, it's ready for review:
http://mentors.debian.net/package/vim-youcompleteme

I am using this package since I changed owner of this bug and its working
great.

On Tue, Nov 05, 2013 at 14:22:52 +0100, Sebastian Ramacher wrote:
> Hi Onur,
> 
> On 2013-07-31 16:24:35, Onur Aslan wrote:
> > retitle 700217 ITP: vim-youcompleteme -- fast, as-you-type, fuzzy-search code completion engine for vim
> > owner 700217 !
> > thanks
> > 
> > I've already made this package. It is available here:
> > http://anonscm.debian.org/gitweb/?p=users/onur-guest/vim-youcompleteme.git;a=summary
> > 
> > Only problem is it's using RPATH for libclang1-3.3 and there is no other
> > way to build this package. libclang1-3.3 is a private library and linking
> > with RPATH causing a serious lintian error. I will try to contact with llvm
> > maintainers.
> 
> some time has passed since you've started working on this ITP. What's
> the status? Let me know if you need any help and I'd be happy to
> revier/sponsor/...
> 
> Cheers
> -- 
> Sebastian Ramacher


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#700217; Package wnpp. (Thu, 07 Nov 2013 11:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Onur Aslan <onur@onur.im>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 07 Nov 2013 11:42:04 GMT) Full text and rfc822 format available.

Message #22 received at 700217@bugs.debian.org (full text, mbox):

From: Onur Aslan <onur@onur.im>
To: Sebastian Ramacher <sramacher@debian.org>
Cc: 700217@bugs.debian.org
Subject: Re: Bug#700217: ITP: vim-youcompleteme -- fast, as-you-type, fuzzy-search code completion engine for vim
Date: Thu, 7 Nov 2013 13:40:13 +0200
[Message part 1 (text/plain, inline)]
I recently checked and looks like llvm maintainers finally providing a
symbolic link to libclang in standard library locations. Thanks to this
change RPATH issue is gone for this package.

I updated package and uploaded into mentors:
http://mentors.debian.net/package/vim-youcompleteme

It's lintian clean and ready for review. I was using this package since I
got ownership of this bug, and it's just working great.

I'd be grateful if you review/sponsor this package.

Thanks.

On Tue, Nov 05, 2013 at 14:22:52 +0100, Sebastian Ramacher wrote:
> Hi Onur,
> 
> On 2013-07-31 16:24:35, Onur Aslan wrote:
> > retitle 700217 ITP: vim-youcompleteme -- fast, as-you-type, fuzzy-search code completion engine for vim
> > owner 700217 !
> > thanks
> > 
> > I've already made this package. It is available here:
> > http://anonscm.debian.org/gitweb/?p=users/onur-guest/vim-youcompleteme.git;a=summary
> > 
> > Only problem is it's using RPATH for libclang1-3.3 and there is no other
> > way to build this package. libclang1-3.3 is a private library and linking
> > with RPATH causing a serious lintian error. I will try to contact with llvm
> > maintainers.
> 
> some time has passed since you've started working on this ITP. What's
> the status? Let me know if you need any help and I'd be happy to
> revier/sponsor/...
> 
> Cheers
> -- 
> Sebastian Ramacher


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Onur Aslan <onur@onur.im>:
Bug#700217; Package wnpp. (Thu, 07 Nov 2013 16:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <sramacher@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Onur Aslan <onur@onur.im>. (Thu, 07 Nov 2013 16:42:08 GMT) Full text and rfc822 format available.

Message #27 received at 700217@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: Onur Aslan <onur@onur.im>
Cc: 700217@bugs.debian.org
Subject: Re: Bug#700217: ITP: vim-youcompleteme -- fast, as-you-type, fuzzy-search code completion engine for vim
Date: Thu, 7 Nov 2013 17:38:38 +0100
[Message part 1 (text/plain, inline)]
On 2013-11-07 13:32:51, Onur Aslan wrote:
> I recently checked and looks like llvm maintainers finally providing a
> symbolic link to libclang in standard library locations. Thanks to this
> change RPATH issue is gone for this package.
> 
> I updated package and uploaded into mentors, it's ready for review:
> http://mentors.debian.net/package/vim-youcompleteme
> 
> I am using this package since I changed owner of this bug and its working
> great.

Cool, I'll check it out and review it. Thank you for your work on
vim-youcompleteme!

Cheers
-- 
Sebastian Ramacher
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 700217: 730194 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 22 Nov 2013 16:30:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 28 Nov 2013 07:09:11 GMT) Full text and rfc822 format available.

Reply sent to Onur Aslan <onur@onur.im>:
You have taken responsibility. (Sat, 28 Dec 2013 04:03:21 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Ramacher <sramacher@debian.org>:
Bug acknowledged by developer. (Sat, 28 Dec 2013 04:03:21 GMT) Full text and rfc822 format available.

Message #36 received at 700217-close@bugs.debian.org (full text, mbox):

From: Onur Aslan <onur@onur.im>
To: 700217-close@bugs.debian.org
Subject: Bug#700217: fixed in vim-youcompleteme 0+20131009+gitcbb43ba-1
Date: Sat, 28 Dec 2013 04:00:28 +0000
Source: vim-youcompleteme
Source-Version: 0+20131009+gitcbb43ba-1

We believe that the bug you reported is fixed in the latest version of
vim-youcompleteme, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700217@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Onur Aslan <onur@onur.im> (supplier of updated vim-youcompleteme package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 17 Dec 2013 11:12:14 +0200
Source: vim-youcompleteme
Binary: vim-youcompleteme
Architecture: source amd64
Version: 0+20131009+gitcbb43ba-1
Distribution: unstable
Urgency: low
Maintainer: Onur Aslan <onur@onur.im>
Changed-By: Onur Aslan <onur@onur.im>
Description: 
 vim-youcompleteme - fast, as-you-type, fuzzy-search code completion engine for Vim
Closes: 700217
Changes: 
 vim-youcompleteme (0+20131009+gitcbb43ba-1) unstable; urgency=low
 .
   * Initial release. (Closes: #700217)
Checksums-Sha1: 
 5998558c5226e4e2223ec90ac5b1af96869bff16 2209 vim-youcompleteme_0+20131009+gitcbb43ba-1.dsc
 bea161fbba2b09fc4c040ed356118e3981892b9c 145023 vim-youcompleteme_0+20131009+gitcbb43ba.orig.tar.gz
 dbf56edba5cb530e1f5077a7755f98ae93c3f731 7292 vim-youcompleteme_0+20131009+gitcbb43ba-1.debian.tar.gz
 d4e96a792a3c5d22e5db2c2ba9bf7c89c8b32764 362120 vim-youcompleteme_0+20131009+gitcbb43ba-1_amd64.deb
Checksums-Sha256: 
 aa51354d7ef6e0c888130e8528936fc12a97a960e562ee11fc7bd2f1576bab9d 2209 vim-youcompleteme_0+20131009+gitcbb43ba-1.dsc
 04db6871eb490d082c920364db170c8acc47374b03f5ef9f3030b6d3c4ff68e9 145023 vim-youcompleteme_0+20131009+gitcbb43ba.orig.tar.gz
 6bf90cbb411903c888e657870cd6b25a4e6d5c9967728eff39334c9a47b4d454 7292 vim-youcompleteme_0+20131009+gitcbb43ba-1.debian.tar.gz
 b1da2f5a8937bddd26964389880007a77fcf6f430658b7bb2288b11249296e2b 362120 vim-youcompleteme_0+20131009+gitcbb43ba-1_amd64.deb
Files: 
 a3ca02c821110c7737c2d27b8bf7bdb8 2209 editors optional vim-youcompleteme_0+20131009+gitcbb43ba-1.dsc
 5bf977654a427241e9ed38581a2abd61 145023 editors optional vim-youcompleteme_0+20131009+gitcbb43ba.orig.tar.gz
 38ec9059f593d2b2245ca0ab174b095d 7292 editors optional vim-youcompleteme_0+20131009+gitcbb43ba-1.debian.tar.gz
 12184f8d836701a4fb511b66e1d5576a 362120 editors optional vim-youcompleteme_0+20131009+gitcbb43ba-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSsHWtAAoJEGny/FFupxmTGWcQAKsk+FuBBADrBikNSk9hkHZ7
gofKDBgO+7B5q1lD6yqsxcMbkwa7Mt+QQW9NLCbst5aNxNSPB7QB13Jm0Di+lL5E
F3g9wkWrhAn/BkZcdim+P6bxYyzZm0zkjdXrg9rziHx+JG2MfyuhTX/EBxZxt4sW
GeQLRpSK/mSsaUxJrFQw3lzHH3YlqlLZmfbQ/AXRMPJbOIp6HkZ3NGH49XTwfVio
J1iT6RNVuvzUQaL+5lmO1EV8xJlxV7f2AmtWPxcNO5uzFjbFf330ALsERxMWeDGK
lt6/cCymDlLXyW7CK55iy4TrGpflTn7u5oz1PfLGyMzYeJy7L7HyFIAzpA+0Y6ti
UzDuKLbrmBC6h42cuAZo1FsEUE6ERRoR6Ef/3Tu8IXB+aJ2FI3cUAYN/wZSVddMa
E0QFb00mMQoZKY1Mo39s3ZKMmYfYKaVCscqXtq2odsQ1hty2QuY7q4qSia1uIgbP
EzLJPrRHI8DSPX+PpD+hUeKedISh4iO2uGiQYWuTkH9qFIDIIlQXvP5/srVB2Djj
WUYJUsbfVj0Mo/zr1NmSolwbLttGa8zo3X+imrXPjKlVzr51E0RfNgLnFaLFxwNn
57xplMq3hToJKBefeSyPWAup0CN7X2GYMVO6lDFLacOST8c11/+WbSq/XiR1r3JY
AgK0nVSf2s4fWoeA6/4Y
=Drbg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Jan 2014 07:27:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:06:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.